%global major   2
%define libname %mklibname uring %major
%define devname %mklibname uring -d

Name:           liburing
Version:        2.4
Release:        %mkrel 1
Summary:        Linux-native io_uring I/O access library
Group:          System/Libraries
License:        (GPLv2 with exceptions and LGPLv2+) or MIT
URL:            https://git.kernel.dk/cgit/liburing/
Source0:        https://brick.kernel.dk/snaps/%{name}-%{version}.tar.gz
Source1:        https://brick.kernel.dk/snaps/%{name}-%{version}.tar.gz.asc
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make

%description
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package -n %libname
Summary:        Linux-native io_uring I/O access library
Group:          System/Libraries
# Temp Cauldron fix:
Obsoletes:      %{_lib}uring0 = 0.5-1.mga8
Conflicts:      %{_lib}uring0 = 0.5-1.mga8

%description -n %libname
Provides native async IO for the Linux kernel, in a fast and efficient
manner, for both buffered and O_DIRECT.

%package -n %devname
Group:          Development/C
Summary:        Development files for Linux-native io_uring I/O access library
Requires:       %{libname}%{_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       uring-devel = %{version}-%{release}

%description -n %devname
This package provides header files to include and libraries to link with
for the Linux-native io_uring.

%prep
%autosetup -p1

%build
%set_build_flags
./configure --prefix=%{_prefix} --libdir=%{_libdir} --libdevdir=%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}

%make_build

%install
%make_install

find %{buildroot} -name '*.a' -delete

%files -n %libname
%{_libdir}/liburing.so.%{major}{,.*}
%{_libdir}/liburing-ffi.so.%{major}{,.*}
%license COPYING

%files -n %devname
%{_includedir}/liburing/
%{_includedir}/liburing.h
%{_libdir}/liburing.so
%{_libdir}/liburing-ffi.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-ffi.pc
%{_mandir}/man2/*
%{_mandir}/man3/*
%{_mandir}/man7/*


%changelog
* Fri Jun 09 2023 tmb <tmb> 2.4-1.mga9
+ Revision: 1961567
- update to 2.4

* Tue Apr 25 2023 daviddavid <daviddavid> 2.3-2.mga9
+ Revision: 1954878
- fix libdir path in pkgconfig file

* Wed Nov 16 2022 tv <tv> 2.3-1.mga9
+ Revision: 1908007
- Update to liburing 2.3
- test/io_uring_register: kill old memfd test

* Mon Jun 27 2022 tmb <tmb> 2.2-1.mga9
+ Revision: 1866428
- update to 2.2

* Fri Mar 18 2022 umeabot <umeabot> 2.0-2.mga9
+ Revision: 1797852
- Mageia 9 Mass Rebuild

* Wed Apr 14 2021 tv <tv> 2.0-1.mga9
+ Revision: 1715752
- major is now 2
- Update to liburing 2.0. This release is source-compatible with 0.7 but
  applications must be recompiled since <liburing.h> struct sizes have changed.
- Add man3 and man7 documentation

* Tue Oct 20 2020 tv <tv> 0.7-2.mga8
+ Revision: 1637302
- enable on armv7

* Tue Jul 21 2020 tv <tv> 0.7-1.mga8
+ Revision: 1607686
- 0.7.0

* Fri May 08 2020 tv <tv> 0.6-2.mga8
+ Revision: 1581667
- fix cauldron upgrade

* Thu May 07 2020 tv <tv> 0.6-1.mga8
+ Revision: 1581524
- major is now 1
- 0.6

* Wed Mar 25 2020 tv <tv> 0.5-1.mga8
+ Revision: 1559602
- imported package liburing


* Wed Mar 25 2020 Thierry Vignaud <tv@mageia.org> 0.5-1.mga8
- import from FC
